Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Microscopic_Traffic_Simulator.Converters.FromSimulationStepsToPauseToString Class Reference
Inheritance diagram for Microscopic_Traffic_Simulator.Converters.FromSimulationStepsToPauseToString:

## Public Member Functions
object | Convert (object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
| Convert simulation steps to string. More...
object | ConvertBack (object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
| Convert string to simulation speed. More...
object | Convert (object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
| Convert simulation steps to string. More...
object | ConvertBack (object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
| Convert string to simulation speed. More...

## Detailed Description

Definition at line 6 of file FromSimulationStepsToPauseToString.cs.

## Member Function Documentation

object Microscopic_Traffic_Simulator.Converters.FromSimulationStepsToPauseToString.Convert | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | System.Globalization.CultureInfo | culture
| ) |  |

Convert simulation steps to string.

Parameters

  value | Simulation steps.
  targetType | Target type which is string.
  parameter | Parameter defined in UI. Not used.
  culture | Current culture info.

Returns
  String representation of simulation speed.

Definition at line 16 of file FromSimulationStepsToPauseToString.cs.

object Microscopic_Traffic_Simulator.Converters.FromSimulationStepsToPauseToString.Convert | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | System.Globalization.CultureInfo | culture
| ) |  |

Convert simulation steps to string.

Parameters

  value | Simulation steps.
  targetType | Target type which is string.
  parameter | Parameter defined in UI. Not used.
  culture | Current culture info.

Returns
  String representation of simulation speed.

Definition at line 16 of file FromSimulationStepsToPauseToString.cs.

object Microscopic_Traffic_Simulator.Converters.FromSimulationStepsToPauseToString.ConvertBack | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | System.Globalization.CultureInfo | culture
| ) |  |

Convert string to simulation speed.

Parameters

  value | Number of the simulation steps in string.
  targetType | Target type which is double.
  parameter | Parameter defined in UI. Not used.
  culture | Current culture info.

Returns
  Simulation speed.

Definition at line 33 of file FromSimulationStepsToPauseToString.cs.

object Microscopic_Traffic_Simulator.Converters.FromSimulationStepsToPauseToString.ConvertBack | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | System.Globalization.CultureInfo | culture
| ) |  |

Convert string to simulation speed.

Parameters

  value | Number of the simulation steps in string.
  targetType | Target type which is double.
  parameter | Parameter defined in UI. Not used.
  culture | Current culture info.

Returns
  Simulation speed.

Definition at line 33 of file FromSimulationStepsToPauseToString.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/Converters/FromSimulationStepsToPauseToString.cs